<?php
/**
 * This file is part of webman.
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the MIT-LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @author    walkor<walkor@workerman.net>
 * @copyright walkor<walkor@workerman.net>
 * @link      http://www.workerman.net/
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 */

use Webman\Route;

Route::disableDefaultRoute();
Route::any('/login', [app\controller\IndexController::class, 'login']);
Route::any('/zlibproxy', [app\controller\IndexController::class, 'index']);
Route::any('/login/check', [app\controller\IndexController::class, 'check'])->middleware([
    app\middleware\Throttle::class
]);
Route::any('/login/code', [app\controller\IndexController::class, 'code'])->middleware([
    app\middleware\Throttle::class
]);
Route::fallback(function($request){
    #return (new app\controller\IndexController)->index($request);
    $id=$request->cookie('id', 'blank');
    $key=$request->cookie('key', 'blank');
    echo($key);
    if($id=='blank' || $key='blank'){
        return redirect('/login');
    }
    $route = $request->route;
    return view('index',['route'=>$route]);
});




